# List Model Versions

Launch stage: GA

`GET /api/2.1/unity-catalog/models/{full_name_arg}/versions`

List the model versions of the specified registered model, identified by its
 full three-level name (catalog.schema.model).

 The returned models are filtered based on the privileges of the calling user.
 For example, the metastore admin is able to list all the model versions.
 A regular user needs to be the owner or have the **EXECUTE** privilege
 on the parent registered model to receive the model versions in the response.
 For the latter case, the caller must also be the owner or have the **USE_CATALOG**
 privilege on the parent catalog and the **USE_SCHEMA** privilege on the parent schema.

 There is no guarantee of a specific ordering of the elements in the response. The
 elements in the response will not contain any aliases or tags.

 PAGINATION BEHAVIOR: The API is by default paginated, a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, required)
  The full three-level name of the registered model under which to list model versions

## Query parameters

- `max_results` (int64, int32, optional)
  Maximum number of model versions to return.
   If not set, the page length is set to a server configured value (100, as of 1/3/2024).
   - when set to a value greater than 0, the page length is the minimum of this value and a server configured value(1000, as of 1/3/2024);
   - when set to 0, the page length is set to a server configured value (100, as of 1/3/2024) (recommended);
   - when set to a value less than 0, an invalid parameter error is returned;
  Default: `100`
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.
- `include_browse` (boolean, optional)
  Whether to include model versions in the response for which the principal can only access selective metadata for

## Returns

Returns a list of ModelVersionInfo objects.

## Response

```json
{
  "model_versions": [
    {
      "model_name": "string",
      "catalog_name": "string",
      "schema_name": "string",
      "source": "string",
      "comment": "string",
      "run_id": "string",
      "run_workspace_id": 0,
      "model_version_dependencies": {},
      "status": "MODEL_VERSION_STATUS_UNKNOWN",
      "version": 0,
      "storage_location": "string",
      "metastore_id": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "id": "string",
      "aliases": [
        {}
      ]
    }
  ],
  "next_page_token": "string"
}
```

